import type { HashHistory } from 'history';
export declare type RouteComponent = any;
export interface Route {
    path: string;
    component?: RouteComponent;
    name?: string;
    meta?: Record<string, any>;
}
export declare type RouterSettings = {
    routes: Route[];
};
export interface CurrentRoute extends Route {
    params: Record<string, any>;
    query: Record<string, any>;
}
interface ToInfo {
    path: string;
    params?: Record<string, any>;
    query?: Record<string, any>;
}
export declare type To = string | ToInfo;
export interface Router extends Omit<HashHistory, 'push' | 'replace'> {
    push: (to: To) => void;
    replace: (to: To) => void;
}
export declare enum Action {
    Pop = "POP",
    Push = "PUSH",
    Replace = "REPLACE"
}
export interface Update {
    currentRoute: CurrentRoute;
    action: Action;
}
export interface Listener {
    (update: Update): void;
}
export {};
